package com.engine.organization.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.core.impl.Service;
import com.engine.organization.service.ExportCommonService;
import com.engine.organization.service.impl.ExportCommonServiceImpl;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import weaver.hrm.User;

import java.util.List;

/**
 * @Author weaver_cl
 * @Description:
 * @Date 2022/6/28
 * @Version V1.0
 **/
public class ExportCommonWrapper extends Service {

    public ExportCommonService getExportCommonService(User user) {
        return ServiceUtil.getService(ExportCommonServiceImpl.class,user);
    }

    public XSSFWorkbook resourceExport(List<Long> ids) {
        return getExportCommonService(user).resourceExport(ids);
    }
}
